Update Rich History Configuration

post

/api/v1/configuration/richHistoryConfig/{id}

Update a rich history database configuration. Password is optional on update and remains unchanged when omitted or masked.

Request

Supported Media Types
Path Parameters
Header Parameters
Body ()
Root Schema : schema
Match All
Show Source
Nested Schema : RichHistoryConfig
Type: object
Rich History database configuration. Returned passwords are masked. Oracle and MySQL use different conditional fields.
Show Source
Nested Schema : 1
Type: object
Nested Schema : RichHistoryAdvancedConfig
Type: object
Advanced rich history retention configuration.
Show Source
Back to Top

Response

Supported Media Types

200 Response

OK
Body ()
Root Schema : RichHistoryConfig
Type: object
Rich History database configuration. Returned passwords are masked. Oracle and MySQL use different conditional fields.
Show Source
Nested Schema : RichHistoryAdvancedConfig
Type: object
Advanced rich history retention configuration.
Show Source

400 Response

Bad Request
Body ()
Root Schema : Error
Type: object
Error Information.
Show Source
Nested Schema : errors
Type: array
list of errors
Show Source
Nested Schema : warnings
Type: array
list of warnings
Show Source

401 Response

Unauthorized
Body ()
Root Schema : AuthError
Type: object
Authentication or authorization error returned by request filters.
Show Source

403 Response

Forbidden. The authenticated caller lacks a required global role, instance-access-group membership, or a valid CSRF token.
Body ()
Root Schema : AuthError
Type: object
Authentication or authorization error returned by request filters.
Show Source

404 Response

Not Found
Body ()
Root Schema : Error
Type: object
Error Information.
Show Source
Nested Schema : errors
Type: array
list of errors
Show Source
Nested Schema : warnings
Type: array
list of warnings
Show Source

500 Response

Internal Server Error
Body ()
Root Schema : Error
Type: object
Error Information.
Show Source
Nested Schema : errors
Type: array
list of errors
Show Source
Nested Schema : warnings
Type: array
list of warnings
Show Source
Back to Top